Bug 419431 - audacity crashes and leaves behind a zombie process
audacity crashes and leaves behind a zombie process
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 04:44 EST by Kahlil Hodgson
Modified: 2009-01-09 00:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (3.78 KB, text/plain)
2007-12-11 04:50 EST, Kahlil Hodgson
no flags Details

  None (edit)
Description Kahlil Hodgson 2007-12-11 04:44:52 EST
Description of problem:

Audacity crashes while saving projects and leaves behind a zombie
process that prevents further editing without a hard reboot (init 6 hangs on
sending KILL).

Version-Release number of selected component (if applicable):

audacity 1.3.2-17.fc8.i386

How reproducible:

seamingly random, but happened 3 times in a 1 hour editing session :-(

Steps to Reproduce:

installing debuginfo packages and working on a test case now

Additional info:

Not using pulse audio 'cause its breaking too many (other) things

Stack trace from /var/log/messages:

Dec 10 17:40:34 antubis kernel: BUG: unable to handle kernel paging request at
virtual address 00070007
Dec 10 17:40:34 antubis kernel: printing eip: f8adeba8 *pde = 6e4e8067 
Dec 10 17:40:34 antubis kernel: Oops: 0000 [#1] SMP 
Dec 10 17:40:34 antubis kernel: Modules linked in: udf sunrpc xt_limit
iptable_mangle ipt_LOG ipt_MASQUERADE nf_nat ipt_TOS ipt_REJECT nf_conntrack_irc
nf_c
onntrack_ftp nf_conntrack_ipv4 iptable_filter ip_tables nf_conntrack_ipv6
xt_state nf_conntrack nfnetlink xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_fil
ter ip6_tables x_tables ipv6 loop dm_multipath kvm_amd kvm snd_hda_intel
snd_seq_dummy bt878 snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_o
ss tuner snd_mixer_oss tvaudio bttv snd_pcm video_buf ir_common compat_ioctl32
snd_timer snd_page_alloc i2c_algo_bit snd_hwdep btcx_risc tveeprom snd videod
ev v4l2_common nvidia(P)(U) v4l1_compat forcedeth button i2c_nforce2 k8temp
i2c_core soundcore hwmon pcspkr serio_raw floppy sg sr_mod cdrom pata_amd dm_sna
pshot dm_zero dm_mirror dm_mod ata_generic sata_nv libata sd_mod scsi_mod ext3
jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Dec 10 17:40:34 antubis kernel: CPU:    0
Dec 10 17:40:34 antubis kernel: EIP:    0060:[<f8adeba8>]    Tainted: P        VLI
Dec 10 17:40:34 antubis kernel: EFLAGS: 00210292   (2.6.23.1-49.fc8 #1)
Dec 10 17:40:34 antubis kernel: EIP is at snd_hda_mixer_bind_ctls_info+0x1b/0x3c
[snd_hda_intel]
Dec 10 17:40:34 antubis kernel: eax: 00200296   ebx: c2170580   ecx: f50b58c0  
edx: f76db584
Dec 10 17:40:34 antubis kernel: esi: 00070003   edi: f4768600   ebp: f76db57c  
esp: e8d75e80
Dec 10 17:40:34 antubis kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Dec 10 17:40:34 antubis kernel: Process audacity (pid: 9580, ti=e8d75000
task=f5ec0610 task.ti=e8d75000)
Dec 10 17:40:34 antubis kernel: Stack: c2170580 f4768600 f4b91400 f76db74c
f89b5fd3 00000000 e8d75f50 e8d75f54 
Dec 10 17:40:34 antubis kernel:        f70760e4 c23c4cc0 e8d75f54 f70760e4
e9b09258 f89b60aa e8d75f54 e8d75f50 
Dec 10 17:40:34 antubis kernel:        ffffffef f70760e4 f89b605a bfb7ff1c
e9b09258 f89b5704 e8d75f50 00000000 
Dec 10 17:40:34 antubis kernel: Call Trace:
Dec 10 17:40:34 antubis kernel:  [<f89b5fd3>]
snd_mixer_oss_get_volume1_vol+0x83/0x10a [snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<f89b60aa>]
snd_mixer_oss_get_volume1+0x50/0xa3 [snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<f89b605a>] snd_mixer_oss_get_volume1+0x0/0xa3
[snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<f89b5704>] snd_mixer_oss_ioctl1+0x5e6/0x682
[snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<c04cfb36>] selinux_dentry_open+0x59/0x5e
Dec 10 17:40:34 antubis kernel:  [<f89b6372>]
snd_mixer_oss_put_volume1+0x0/0x12b [snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<c0483631>] chrdev_open+0x0/0x14e
Dec 10 17:40:34 antubis kernel:  [<c047fa18>] __dentry_open+0xf8/0x18c
Dec 10 17:40:34 antubis kernel:  [<c047fb26>] nameidata_to_filp+0x24/0x33
Dec 10 17:40:34 antubis kernel:  [<c047fb6c>] do_filp_open+0x37/0x3e
Dec 10 17:40:34 antubis kernel:  [<c04cccc7>] file_has_perm+0x89/0x91
Dec 10 17:40:34 antubis kernel:  [<f89b57ef>] snd_mixer_oss_ioctl+0x0/0x8
[snd_mixer_oss]
Dec 10 17:40:34 antubis kernel:  [<c048b45f>] do_ioctl+0x1f/0x63
Dec 10 17:40:34 antubis kernel:  [<c048b6da>] vfs_ioctl+0x237/0x249
Dec 10 17:40:34 antubis kernel:  [<c048b738>] sys_ioctl+0x4c/0x64
Dec 10 17:40:34 antubis kernel:  [<c040518a>] syscall_call+0x7/0xb
Dec 10 17:40:34 antubis kernel:  =======================
Dec 10 17:40:34 antubis kernel: Code: 89 c7 89 e8 e8 da f3 b3 c7 89 f8 5b 5e 5f
5d c3 55 57 89 d7 56 53 8b 68 60 89 c3 8b 70 5c 81 c5 7c 01 00 00 89 e8 e8 09 f4
b3 c7 <8b> 46 04 89 fa 89 43 5c 8b 0e 89 d8 ff 11 89 73 5c 89 c7 89 e8 
Dec 10 17:40:34 antubis kernel: EIP: [<f8adeba8>]
snd_hda_mixer_bind_ctls_info+0x1b/0x3c [snd_hda_intel] SS:ESP 0068:e8d75e80
Comment 1 Kahlil Hodgson 2007-12-11 04:50:13 EST
Created attachment 283911 [details]
/var/log/messages

Oops! I should have made that an attachment rather than pasting
Comment 2 Michael Schwendt 2007-12-11 06:38:06 EST
> EFLAGS: 00210292   (2.6.23.1-49.fc8 #1)

Can you reproduce with the kernel from the "updates" repository?
2.6.23.8-63.fc8
Comment 3 Chuck Ebbert 2007-12-11 14:00:55 EST
We really need a test of version 2.6.23.9-66 or later.
2.6.23.9-85 will be in updates-testing soon.
Comment 4 Kahlil Hodgson 2008-07-17 18:00:48 EDT
Haven't used audacity for a while now, but have a session this weekend.
My kernel has had many updates since I first reported this, so I would
not be surprised if the bug is no longer triggered.
Comment 5 Kahlil Hodgson 2008-07-20 20:22:46 EDT
Had an extended editing session on the weekend.  No problems with audacity against
kernel 2.6.25.10-47.fc8.  Thanks for looking in to this :-)
Comment 6 Bug Zapper 2008-11-26 03:56:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:28:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.